package com.yonge.cooleshow.biz.dal.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;

/**
 * Description 学生上课状态
 *
 * @author liujunchi
 * @date 2022-04-20
 */
public enum StudentCourseEnum implements BaseEnum<String,StudentCourseEnum> {

    /**
     * 旷课
     */
    TRUANT("TRUANT","TRUANT"),
    /**
     * 上课
     */
    ATTENDCLASS("ATTENDCLASS","ATTENDCLASS"),
    /**
     * 未开始
     */
    NOTSTART("NOTSTART","NOTSTART");

    @EnumValue
    private String code;
    private String msg;

    StudentCourseEnum(String code,String msg) {
        this.code = code;
        this.msg = msg;
    }

    @Override
    public String getCode() {
        return this.code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }
}
